---@meta posix.fnmatch

---@class posix_fnmatch*
---@field version string
---@field FNM_PATHNAME integer
---@field FNM_NOESCAPE integer
---@field FNM_NOMATCH integer
---@field FNM_PERIOD integer
---@type posix_fnmatch*
local M = {}

---@param pattern string
---@param string string
---@param flags? integer
---@return integer? ok
---@return string? errMsg
---@return integer? errno
function M.fnmatch(pattern, string, flags) end

return M
